// Copyright (c) Microsoft Corporation. All rights reserved.
// Licensed under the MIT License.
import { __awaiter } from "tslib";
import * as helloworld from "./helloworld";
import * as helloworldWithLabels from "./helloworldWithLabels";
import * as setReadOnlySample from "./setReadOnlySample";
import * as getSettingOnlyIfChanged from "./getSettingOnlyIfChanged";
import * as optimisticConcurrencyViaEtag from "./optimisticConcurrencyViaEtag";
import * as listRevisions from "./listRevisions";
export function runAll() {
    return __awaiter(this, void 0, void 0, function* () {
        yield helloworld.run();
        yield helloworldWithLabels.run();
        yield setReadOnlySample.run();
        yield getSettingOnlyIfChanged.run();
        yield optimisticConcurrencyViaEtag.run();
        yield listRevisions.run();
    });
}
//# sourceMappingURL=index.js.map