/*
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * Licensed under the MIT License. See License.txt in the project root for
 * license information.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is
 * regenerated.
 */
import * as coreHttp from "@azure/core-http";
export class AppConfigurationContext extends coreHttp.ServiceClient {
    /**
     * Initializes a new instance of the AppConfigurationContext class.
     * @param apiVersion The API version to be used with the HTTP request.
     * @param credentials Subscription credentials which uniquely identify client subscription.
     * @param [options] The parameter options
     */
    constructor(credentials, apiVersion, options) {
        if (apiVersion == undefined) {
            throw new Error("'apiVersion' cannot be null.");
        }
        if (credentials == undefined) {
            throw new Error("'credentials' cannot be null.");
        }
        if (!options) {
            options = {};
        }
        super(credentials, options);
        this.baseUri = options.baseUri || this.baseUri || "http://localhost";
        this.requestContentType = "application/json; charset=utf-8";
        this.apiVersion = apiVersion;
        this.credentials = credentials;
        if (options.syncToken !== null && options.syncToken !== undefined) {
            this.syncToken = options.syncToken;
        }
    }
}
//# sourceMappingURL=appConfigurationContext.js.map